--
-- $Id$
--
-- Script containing customer specific configuration sql statements for inlo: Industrie & Logistiek

DEFINE thisfile = 'INLO.SQL'
DEFINE dbuser   = '^INLO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------


-- VIEW voor Notificatiejob Last-minute-reservering. Alle mensen uit specifieke autorisatiegroep krijgen mail dat de reservering (ruimte en/of catering) gewijzigd is - Ticketnr 57145
CREATE OR REPLACE VIEW INLO_V_NOTIFY_LASTMINUTE
(
    SENDER,
    RECEIVER,
    TEXT,
    CODE,
    FAC_SRTNOTIFICATIE_KEY,
    KEY,
    XKEY,
    XEMAIL,
    XMOBILE
)
AS
  SELECT                       --  Voor Catering.....
         NULL
             sender,
         NULL
             receiver,
            'Catering bij reservering '
         || rrr.res_reservering_key
         || '/'
         || rrr.res_rsv_ruimte_volgnr
         || ' is aangemaakt/gewijzigd '
             text,
         'CUST07'
             code,
         (SELECT fac_srtnotificatie_key
            FROM fac_srtnotificatie
           WHERE fac_srtnotificatie_code = 'CUST07')
             fac_srtnotificatie_key,
         rrr.res_reservering_key
             key,
         rrr.res_rsv_ruimte_key
             xkey,
         medewerker.email
             xemail,
         NULL
             xmobile
    FROM res_rsv_artikel rra,
         res_rsv_ruimte rrr,
         res_artikel    ra,
         (SELECT g.fac_groep_key,
                 p.prs_perslid_key,
                 p.prs_perslid_email AS email
            FROM fac_groep g, fac_gebruikersgroep ge, prs_perslid p
           WHERE     g.fac_groep_key = 441              --  Specifieke Autorisatiegroep 
                 AND g.fac_groep_key = ge.fac_groep_key
                 AND ge.prs_perslid_key = p.prs_perslid_key
                 AND p.prs_perslid_email IS NOT NULL
                 AND p.prs_perslid_verwijder IS NULL) medewerker
   WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
         AND rra.res_artikel_key = ra.res_artikel_key
         AND rra.res_rsv_artikel_levering > SYSDATE
         AND GREATEST (COALESCE (res_rsv_artikel_mutatie, SYSDATE - 100),
                       COALESCE (res_rsv_artikel_verwijder, SYSDATE - 100),
                       COALESCE (res_rsv_artikel_aanmaak, SYSDATE - 100)) >
             (SELECT   fac_notificatie_job_nextrun
                     - fac_notificatie_job_interval / 24
                FROM fac_notificatie_job
               WHERE fac_notificatie_job_view = 'INLO_V_NOTIFY_LASTMINUTE')
         AND GREATEST (COALESCE (res_rsv_artikel_mutatie, SYSDATE - 100),
                       COALESCE (res_rsv_artikel_verwijder, SYSDATE - 100),
                       COALESCE (res_rsv_artikel_aanmaak, SYSDATE - 100)) <
             (SELECT fac_notificatie_job_nextrun
                FROM fac_notificatie_job
               WHERE fac_notificatie_job_view = 'INLO_V_NOTIFY_LASTMINUTE')
GROUP BY rrr.res_rsv_ruimte_key,
         rrr.res_reservering_key,
         rrr.res_rsv_ruimte_volgnr,
         medewerker.email
UNION ALL
  SELECT                            -- voor Ruimte
         NULL
             sender,
         NULL
             receiver,
            'Reservering '
         || rrr.res_reservering_key
         || '/'
         || rrr.res_rsv_ruimte_volgnr
         || ' is aangemaakt/gewijzigd '
             text,
         'CUST07'
             code,
         (SELECT fac_srtnotificatie_key
            FROM fac_srtnotificatie
           WHERE fac_srtnotificatie_code = 'CUST07')
             fac_srtnotificatie_key,
         rrr.res_reservering_key
             key,
         rrr.res_rsv_ruimte_key
             xkey,
         medewerker.email
             xemail,
         NULL
             xmobile
    FROM fac_tracking         t,
         res_rsv_ruimte       rrr,
         res_ruimte_opstelling ro,
         res_ruimte           rr,
         (SELECT g.fac_groep_key,
                 p.prs_perslid_key,
                 p.prs_perslid_email AS email
            FROM fac_groep g, fac_gebruikersgroep ge, prs_perslid p
           WHERE     g.fac_groep_key = 441              --  Specifieke Autorisatiegroep 
                 AND g.fac_groep_key = ge.fac_groep_key
                 AND ge.prs_perslid_key = p.prs_perslid_key
                 AND p.prs_perslid_email IS NOT NULL
                 AND p.prs_perslid_verwijder IS NULL) medewerker
   WHERE     t.fac_srtnotificatie_key IN (59, 60)            -- resnew, resupd
         AND t.fac_tracking_refkey = rrr.res_rsv_ruimte_key
         AND rrr.res_ruimte_opstel_key = ro.res_ruimte_opstel_key
         AND ro.res_ruimte_key = rr.res_ruimte_key
         -- AND rr.res_discipline_key = 561                                  -- Greenport Vergaderen
         AND t.fac_tracking_datum >
             (SELECT   fac_notificatie_job_nextrun
                     - fac_notificatie_job_interval / 24
                FROM fac_notificatie_job
               WHERE fac_notificatie_job_view = 'INLO_V_NOTIFY_LASTMINUTE')
         AND t.fac_tracking_datum <
             (SELECT fac_notificatie_job_nextrun
                FROM fac_notificatie_job
               WHERE fac_notificatie_job_view = 'INLO_V_NOTIFY_LASTMINUTE')
         AND rrr.res_rsv_ruimte_van > SYSDATE
GROUP BY rrr.res_rsv_ruimte_key,
         rrr.res_reservering_key,
         rrr.res_rsv_ruimte_volgnr,
         medewerker.email;



-- VIEW voor Notificatiejob om bezoekers 2 dagen voor event te mailen met bevestiging bezoek
CREATE OR REPLACE VIEW INLO_V_NOTI_BEZOEKERS
(
    SENDER,
    RECEIVER,
    TEXT,
    CODE,
    FAC_SRTNOTIFICATIE_KEY,
    KEY,
    XKEY,
    XEMAIL,
    XMOBILE
)
AS
    SELECT
           NULL
               sender,
           NULL
               receiver,
           CASE
            WHEN a.res_rsv_ruimte_key is NULL THEN 
                'Brightland Campus Greenport'
                || ' bevestigingmail afspraak '
                || TO_CHAR (a.bez_afspraak_datum, 'dd-mm-yyyy')
            WHEN a.res_rsv_ruimte_key is NOT NULL THEN 
                (SELECT 
           'Brightland Campus Greenport'
                || ' bevestigingmail afspraak '
                || TO_CHAR (a.bez_afspraak_datum, 'dd-mm-yyyy')
                || ' - '
                || rrr.res_rsv_ruimte_omschrijving 
                FROM
                res_rsv_ruimte   rrr
                WHERE 
                rrr.res_rsv_ruimte_key = a.res_rsv_ruimte_key
                )
           END     
           text,
           'CUST03'
               code,
           (SELECT fac_srtnotificatie_key
              FROM fac_srtnotificatie
             WHERE fac_srtnotificatie_code = 'CUST03')
               fac_srtnotificatie_key,
           b.bez_afspraak_key
               key,
           b.bez_bezoekers_key
               xkey,
           kw.bez_kenmerkwaarde_waarde
               xemail,
           NULL
               xmobile
      FROM bez_afspraak       a,
           bez_bezoekers      b,
           bez_kenmerkwaarde  kw
     WHERE 
           a.bez_afspraak_key = b.bez_afspraak_key
           AND TRUNC(a.bez_afspraak_datum)=TRUNC(SYSDATE + 2)
           AND b.bez_bezoekers_key = kw.bez_bezoekers_key
           AND kw.bez_kenmerk_key = 1000   ;

-- VIEW - Hulpview voor basisoverzichten Greenport Catering - Hulpview geeft alle lopende Roomservice-reserveringen
CREATE OR REPLACE VIEW INLO_V_CATERING_ROOMSERVICE
(
    RUIMTE_KEY,
    TOTAAL,
    AANTAL_AFGEMELD,
    AANTAL_VERWERKT,
    SOORT_RESERVERING
)
AS
    SELECT rrr.res_rsv_ruimte_key,
           (SELECT COUNT (*)
              FROM res_rsv_artikel rra
             WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                   AND rra.res_rsv_artikel_verwijder IS NULL)
               totaal,
           (SELECT COUNT (*)
              FROM res_rsv_artikel rra
             WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                   AND rra.res_rsv_artikel_verwijder IS NULL
                   AND rra.res_status_bo_key = 5)
               aantal_afgemeld,
           (SELECT COUNT (*)
              FROM res_rsv_artikel rra
             WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                   AND rra.res_rsv_artikel_verwijder IS NULL
                   AND rra.res_status_bo_key = 6)
               aantal_verwerkt,
           (CASE
                WHEN srt.res_srtactiviteit_soort = 1
                THEN
                    'Roomservice'
                WHEN srt.res_srtactiviteit_soort = 0
                THEN
                    'Ruimte-reservering'
                ELSE
                    'Onbekend'
            END)
               AS SoortReservering
      FROM res_rsv_ruimte rrr, res_activiteit act, res_srtactiviteit srt
     WHERE     rrr.res_activiteit_key = act.res_activiteit_key
           AND act.res_srtactiviteit_key = srt.res_srtactiviteit_key
           AND srt.res_srtactiviteit_soort = 1
           AND ((SELECT COUNT (*)
                   FROM res_rsv_artikel rra
                  WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                        AND rra.res_rsv_artikel_verwijder IS NULL) >
                (SELECT COUNT (*)
                   FROM res_rsv_artikel rra
                  WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                        AND rra.res_rsv_artikel_verwijder IS NULL
                        AND rra.res_status_bo_key = 6))  ;

-- VIEW - Basisrapport voor controle HeyDay op catering die afgemeld is en/of nog afgemeld moet worden
-- Rapport/werkwijze inclusief Roomservice - Aangevuld, zie Ticket 56672 
CREATE OR REPLACE VIEW INLO_V_CATERING_AFGEMELD
(
    RUIMTE_KEY,
    RESERVERING_NR,
    DATUM,
    OMSCHRIJVING,
    RUIMTE,
    AANTAL_AFGEMELD,
    AANTAL_TOTAAL,
    SOORT_RESERVERING
)
AS
      SELECT rrr.res_rsv_ruimte_key,
             rrr.res_reservering_key || '/' || rrr.res_rsv_ruimte_volgnr,
             rrr.res_rsv_ruimte_van,
             rrr.res_rsv_ruimte_omschrijving,
             CASE
                 WHEN     rrr.alg_ruimte_key IS NULL
                      AND rrr.res_ruimte_opstel_key IS NOT NULL
                 THEN
                     (SELECT rog.res_ruimte_nr
                        FROM res_v_ruimte_opstel_gegevens rog
                       WHERE rog.res_ruimte_opstel_key =
                             rrr.res_ruimte_opstel_key)
                 WHEN     rrr.alg_ruimte_key IS NOT NULL
                      AND rrr.res_ruimte_opstel_key IS NULL
                 THEN
                     (SELECT rg.alg_ruimte_aanduiding
                        FROM alg_v_ruimte_gegevens rg
                       WHERE rg.alg_ruimte_key = rrr.alg_ruimte_key)
                 ELSE
                     'Ruimte onbekend'
             END
                 AS Ruimte,
             (SELECT COUNT (*)
                FROM res_rsv_artikel rra
               WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                     AND rra.res_rsv_artikel_verwijder IS NULL
                     AND rra.res_status_bo_key = 5)
                 aantal_afgemeld,
             (SELECT COUNT (*)
                FROM res_rsv_artikel rra
               WHERE     rra.res_rsv_ruimte_key = rrr.res_rsv_ruimte_key
                     AND rra.res_rsv_artikel_verwijder IS NULL)
                 totaal,
            (SELECT 
                CASE 
                    WHEN rsa.res_srtactiviteit_soort = 1 THEN 'Roomservice' --  res_srtactiviteit_soort = 1 voor roomservice en 0 voor ruimtereservering
                    WHEN rsa.res_srtactiviteit_soort = 0 THEN 'Ruimte-reservering'
                    ELSE 'Onbekend'
                    END
                    FROM 
                    res_activiteit      ra,
                    res_srtactiviteit   rsa
                    WHERE 
                    rrr.res_activiteit_key = ra.res_activiteit_key
                    and ra.res_srtactiviteit_key = rsa.res_srtactiviteit_key
                ) AS SoortReservering
      FROM res_rsv_ruimte rrr
      WHERE 
        rrr.res_rsv_ruimte_verwijder IS NULL
        AND res_rsv_ruimte_van < TRUNC (SYSDATE)
        AND
            (
                (
                rrr.res_status_bo_key IS NULL 
                AND EXISTS (SELECT rrr.res_rsv_ruimte_key FROM inlo_v_catering_roomservice  i
                        WHERE  rrr.res_rsv_ruimte_key = i.ruimte_key
                        )                
                )
                OR
                (
                rrr.res_status_bo_key = 2
                AND 0 = (SELECT rsa.res_srtactiviteit_soort
                                    FROM 
                                    res_activiteit      ra,
                                    res_srtactiviteit   rsa
                                    WHERE 
                                    rrr.res_activiteit_key = ra.res_activiteit_key
                                    and ra.res_srtactiviteit_key = rsa.res_srtactiviteit_key)
                )
            )
    ORDER BY rrr.res_rsv_ruimte_key ASC;



-- VIEW - Basisrapport voor Exportbestand Catering
-- Rapport/werkwijze inclusief Roomservice - Aangevuld, zie Ticket 56672 
CREATE OR REPLACE VIEW INLO_V_CATERING_EXPORT
(
    RUIMTE_KEY,
    VOLGORDE,
    RESERVERING_NR,
    DATUM,
    KOSTENPLAATS,
    OMSCHRIJVING,
		RUIMTE,
    EXTERNEKLANT,
    CONTACTPERS,
    FACTUURADRES,
    ARTIKELOMSCHRIJVING,
    BTW,
    AANTAL_BESTELD,
    STUKSPRIJS,
    TOTAALPRIJS,
    SOORTRESERVERING
)
AS
      SELECT rg.rsv_key,
      		 rg.volgorde,
             rg.res_key || '/' || rg.volgnr,
             rg.van,
             (SELECT pk.prs_kostenplaats_omschrijving
                FROM prs_kostenplaats pk, res_rsv_ruimte rrr2
               WHERE     rrr2.res_rsv_ruimte_key = rg.rsv_key
                     AND rrr2.prs_kostenplaats_key = pk.prs_kostenplaats_key)
                 AS Kostenplaats,
             rg.omschrijving,
             CASE
                 WHEN     rg.alg_ruimte_key IS NULL
                      AND rg.res_ruimte_opstel_key IS NOT NULL
                 THEN
                     (SELECT rog.res_ruimte_nr
                        FROM res_v_ruimte_opstel_gegevens rog
                       WHERE rog.res_ruimte_opstel_key =
                             rg.res_ruimte_opstel_key)
                 WHEN     rg.alg_ruimte_key IS NOT NULL
                      AND rg.res_ruimte_opstel_key IS NULL
                 THEN
                     (SELECT avrg.alg_ruimte_aanduiding
                        FROM alg_v_ruimte_gegevens avrg
                       WHERE avrg.alg_ruimte_key = rg.alg_ruimte_key)
                 ELSE
                     ''
             END
                 AS Ruimte,
             (SELECT kw.res_kenmerkreservering_waarde
                FROM res_kenmerkwaarde kw, res_kenmerk k
               WHERE     kw.res_rsv_ruimte_key = rg.rsv_key
                     AND kw.res_kenmerk_key = k.res_kenmerk_key
                     AND kw.res_kenmerkwaarde_verwijder IS NULL
                     AND k.res_srtkenmerk_key = 41)
                 ExterneKlant,
             (SELECT kw.res_kenmerkreservering_waarde
                FROM res_kenmerkwaarde kw, res_kenmerk k
               WHERE     kw.res_rsv_ruimte_key = rg.rsv_key
                     AND kw.res_kenmerk_key = k.res_kenmerk_key
                     AND kw.res_kenmerkwaarde_verwijder IS NULL
                     AND k.res_srtkenmerk_key = 21)
                 Contactpers,
             (SELECT kw.res_kenmerkreservering_waarde
                FROM res_kenmerkwaarde kw, res_kenmerk k
               WHERE     kw.res_rsv_ruimte_key = rg.rsv_key
                     AND kw.res_kenmerk_key = k.res_kenmerk_key
                     AND kw.res_kenmerkwaarde_verwijder IS NULL
                     AND k.res_srtkenmerk_key = 1)
                 FactuurAdres,
             rg.artikel,
             rg.btw,
             rg.aantal,
             (rg.prijs / rg.aantal),
             rg.prijs,
             (
             CASE 
                WHEN rg.soort_reservering=1 THEN 'Roomservice'
                WHEN rg.soort_reservering=0 THEN 'Ruimte-reservering'
                ELSE 'Onbekend'
                END
                ) AS SoortReservering
        FROM ( 
              SELECT rrr.res_rsv_ruimte_key        rsv_key,
                     rrr.alg_ruimte_key            alg_ruimte_key,
                     rrr.res_ruimte_opstel_key     res_ruimte_opstel_key,
                     rrr.res_reservering_key       res_key,
                     rrr.res_rsv_ruimte_volgnr     volgnr,
                     rrr.res_rsv_ruimte_omschrijving omschrijving,
                     rrr.prs_kostenplaats_key      kostenplaats,
                     rrr.res_rsv_ruimte_van        van,
                     ra.res_artikel_omschrijving   artikel,
                     ra.res_artikel_btw            btw,
                     rra.res_rsv_artikel_aantal    aantal,
                     rra.res_rsv_artikel_prijs     prijs,
                     rrr.res_status_bo_key         status,
                     srt.res_srtactiviteit_soort   soort_reservering,
                     2                             volgorde
                FROM res_rsv_ruimte rrr, res_rsv_artikel rra, res_artikel ra, res_activiteit act, res_srtactiviteit srt
               WHERE     rrr.res_rsv_ruimte_key = rra.res_rsv_ruimte_key
                     AND rra.res_artikel_key = ra.res_artikel_key
                     AND rrr.res_rsv_ruimte_verwijder IS NULL
                     AND rrr.res_activiteit_key = act.res_activiteit_key AND act.res_srtactiviteit_key = srt.res_srtactiviteit_key
              UNION ALL
              SELECT rrr.res_rsv_ruimte_key        rsv_key,
                     rrr.alg_ruimte_key            alg_ruimte_key,
                     rrr.res_ruimte_opstel_key     res_ruimte_opstel_key,
                     rrr.res_reservering_key       res_key,
                     rrr.res_rsv_ruimte_volgnr     volgnr,
                     rrr.res_rsv_ruimte_omschrijving omschrijving,
                     rrr.prs_kostenplaats_key      kostenplaats,
                     rrr.res_rsv_ruimte_van        van,
                     'Ruimte'                      artikel,
                     21                            btw,
                     1                             aantal,
                     rrr.res_rsv_ruimte_prijs      prijs,
                     rrr.res_status_bo_key         status,
                     srt.res_srtactiviteit_soort   soort_reservering,
                     1                             volgorde
                FROM res_rsv_ruimte rrr, res_activiteit act, res_srtactiviteit srt
                WHERE rrr.res_rsv_ruimte_verwijder IS NULL AND rrr.res_activiteit_key = act.res_activiteit_key AND act.res_srtactiviteit_key = srt.res_srtactiviteit_key
                ) rg
       WHERE 
            (rg.status = 5 and rg.soort_reservering = 0
             AND NOT EXISTS
               (SELECT res_rsv_artikel_key
                      FROM res_rsv_artikel rra2
                       WHERE     rg.rsv_key = rra2.res_rsv_ruimte_key
                             AND rra2.res_status_bo_key <> 5)
             AND NOT EXISTS
                     (SELECT res_rsv_ruimte_key
                        FROM res_rsv_ruimte rrr2, res_activiteit ra, res_srtactiviteit rsa
                       WHERE     rg.rsv_key = rrr2.res_rsv_ruimte_key
                                AND rrr2.res_activiteit_key = ra.res_activiteit_key 
                                AND rsa.res_srtactiviteit_soort = 0 
                                AND rrr2.res_status_bo_key <> 5)
                )  
            OR
            (rg.soort_reservering = 1
             AND NOT EXISTS
               (SELECT res_rsv_artikel_key
                      FROM res_rsv_artikel rra2
                       WHERE     rg.rsv_key = rra2.res_rsv_ruimte_key
                             AND rra2.res_status_bo_key <> 5)
             AND EXISTS
              (SELECT rg.rsv_key FROM inlo_v_catering_roomservice  i
                   WHERE  rg.rsv_key = i.ruimte_key
                        )                
            )
    ORDER BY rg.rsv_key, rg.volgorde;
    
-- export reserveringen catering
CREATE OR REPLACE VIEW inlo_v_export_res
(
   result,
   result_order
)
AS
    SELECT    '"Reservering_nr"'
          || ';"Datum"'
          || ';"Ruimte"'
          || ';"Kostenplaats"'
          || ';"Omschrijving"'
          || ';"Externe Klant"'
          || ';"Contact persoon"'          
          || ';"Factuuradres"'
          || ';"Artikel"'
          || ';"BTW"'
          || ';"Aantal besteld"'
          || ';"Stuksprijs"'
          || ';"Totaalprijs"'
          || ';"SoortReservering"',
          0
     FROM DUAL
   UNION ALL
    SELECT 
           reservering_nr
           || ';'
           || TO_CHAR (datum, 'dd-mm-yyyy')
           || ';'
           || REPLACE (ruimte, ';')
           || ';'
           || kostenplaats
           || ';'
           || REPLACE (omschrijving, ';')
           || ';'
           || externeklant
           || ';'
           || contactpers
           || ';'
           || factuuradres
           || ';'
           || REPLACE (artikelomschrijving, ';')
           || ';'
           || btw
           || ';'
           || aantal_besteld
           || ';'
           || stuksprijs
           || ';'
           || totaalprijs
           || ';'
           || soortreservering
           result,
           (ruimte_key * 10) + volgorde
               result_order
      FROM inlo_v_catering_export ;
      
CREATE OR REPLACE PROCEDURE inlo_export_res (p_applname   IN VARCHAR2,
                                             p_applrun    IN VARCHAR2,
                                             p_filedir    IN VARCHAR2,
                                             p_filename   IN VARCHAR2)
AS
v_ruimte_key  NUMBER(10); 
    CURSOR c
    IS
        SELECT DISTINCT ruimte_key
          FROM inlo_v_catering_export i
          WHERE i.soortreservering ='Ruimte-reservering' ;
    CURSOR d
    IS
        SELECT DISTINCT ruimte_key
          FROM inlo_v_catering_export i
         WHERE i.soortreservering ='Roomservice' ;          
BEGIN
    FOR rec IN c
    LOOP
        UPDATE res_rsv_artikel
           SET res_status_bo_key = 6, res_rsv_artikel_verwerkt = SYSDATE
         WHERE res_rsv_ruimte_key = rec.ruimte_key;

        UPDATE res_rsv_ruimte
           SET res_status_bo_key = 6
         WHERE res_rsv_ruimte_key = rec.ruimte_key ;

        fac.trackaction ('RESVER', rec.ruimte_key, 4,sysdate, 'verwerkt door Export-Greenport-Venlo (nr 21) ' || TO_CHAR(sysdate, 'dd/mm/yyyy - hh:mi:ss')) ;
        

    END LOOP;

    FOR rec IN d
    LOOP
        UPDATE res_rsv_artikel
           SET res_status_bo_key = 6, res_rsv_artikel_verwerkt = SYSDATE
         WHERE res_rsv_ruimte_key = rec.ruimte_key;

        fac.trackaction ('RESVER', rec.ruimte_key, 4,sysdate, 'verwerkt door Export-Greenport-Venlo (nr 21) ' || TO_CHAR(sysdate, 'dd/mm/yyyy - hh:mi:ss')) ;

    END LOOP;

END;
/

-- exact verkoop
CREATE OR REPLACE VIEW inlo_v_export_exact_verkoop    (RESULT, result_order) AS SELECT RESULT, result_order FROM aaxx_v_export_exact_verkoop;
CREATE OR REPLACE PROCEDURE inlo_select_exact_verkoop (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2
)
AS
BEGIN
  aaxx_select_exact_verkoop(p_applname, p_applrun, to_char(sysdate, 'yyyy'));
END;
/
CREATE OR REPLACE PROCEDURE inlo_export_exact_verkoop (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2,
   p_filedir    IN   VARCHAR2,
   p_filename   IN   VARCHAR2
)
AS
BEGIN
  aaxx_export_exact_verkoop(p_applname, p_applrun, p_filedir, p_filename, to_char(sysdate, 'yyyy'));
END;
/

-- exact verkoop over het vorige jaar
CREATE OR REPLACE VIEW inlo_v_export_exact_verkoop_vj    (RESULT, result_order) AS SELECT RESULT, result_order FROM aaxx_v_export_exact_verkoop;
CREATE OR REPLACE PROCEDURE inlo_select_exact_verkoop_vj (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2
)
AS
BEGIN
  aaxx_select_exact_verkoop(p_applname, p_applrun, to_char(to_number(to_char(sysdate, 'yyyy'))-1));
END;
/
CREATE OR REPLACE PROCEDURE inlo_export_exact_verkoop_vj (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2,
   p_filedir    IN   VARCHAR2,
   p_filename   IN   VARCHAR2
)
AS
BEGIN
  aaxx_export_exact_verkoop(p_applname, p_applrun, p_filedir, p_filename, to_char(to_number(to_char(sysdate, 'yyyy'))-1));
END;
/

-- exact projecturen (XML)
CREATE OR REPLACE VIEW inlo_v_export_exact_uren (result, result_order)
AS SELECT result, result_order FROM aaxx_v_export_exact_uren_xml;
CREATE OR REPLACE PROCEDURE inlo_select_exact_uren (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2
)
AS
BEGIN
  aaxx_select_exact_uren_xml(p_applname, p_applrun, '');
END;
/

-- verwerk exact projecturen (XML)
CREATE OR REPLACE PROCEDURE inlo_export_verwerk_exact_uren (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2,
   p_filedir    IN   VARCHAR2,
   p_filename   IN   VARCHAR2
)
AS
BEGIN
  aaxx_export_verwerk_exact_uren(p_applname, p_applrun, p_filedir, p_filename, '');
END;
/


-- bundel catering
CREATE OR REPLACE VIEW inlo_v_export_bundel_catering    (RESULT, result_order) AS SELECT RESULT, result_order FROM aaxx_v_export_bundel_catering;
CREATE OR REPLACE PROCEDURE inlo_export_bundel_catering (
   p_applname   IN   VARCHAR2,
   p_applrun    IN   VARCHAR2,
   p_filedir    IN   VARCHAR2,
   p_filename   IN   VARCHAR2
)
AS
BEGIN
  aaxx_export_bundel_catering(p_applname, p_applrun, p_filedir, p_filename);
END;
/


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile